package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkChannelOrderRefundConfirmRequest struct {
	/*
	   退款确认信息     */
	OrderRefundConfirmInfo *domain.AlibabaWdkChannelOrderRefundConfirmOrderRefundConfirmInfo `json:"order_refund_confirm_info" required:"true" `
}

func (s *AlibabaWdkChannelOrderRefundConfirmRequest) SetOrderRefundConfirmInfo(v domain.AlibabaWdkChannelOrderRefundConfirmOrderRefundConfirmInfo) *AlibabaWdkChannelOrderRefundConfirmRequest {
	s.OrderRefundConfirmInfo = &v
	return s
}

func (req *AlibabaWdkChannelOrderRefundConfirmRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderRefundConfirmInfo != nil {
		paramMap["order_refund_confirm_info"] = util.ConvertStruct(*req.OrderRefundConfirmInfo)
	}
	return paramMap
}

func (req *AlibabaWdkChannelOrderRefundConfirmRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
